Bug 16787 - Leak in gsharedvt code
Summary: Leak in gsharedvt code
Status: VERIFIED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: XI runtime (show other bugs)
Version: 7.1.0.x
Hardware: PC Mac OS
: --- normal
Target Milestone: 7.2.1
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2013-12-13 17:31 UTC by Rolf Bjarne Kvinge [MSFT]
Modified: 2014-05-13 06:12 UTC (History)
7 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Rolf Bjarne Kvinge [MSFT] 2013-12-13 17:31:37 UTC
Repro:
* Profile https://github.com/rolfbjarne/TestApp (most likely any app can be used) with Instruments, use the Leaks template.

Result:
* Leaks: http://screencast.com/t/IZAQTE2jbxA
Comment 2 Zoltan Varga 2013-12-14 00:53:07 UTC
Fixed in mono master.
Comment 3 PJ 2014-01-17 14:59:33 UTC
Looks like this is not yet in 7.0.6, so it will be included the next time the mono is bumped to master (or a new branch made from master).

It doesn't look like the issue is fully resolved though. I'm still getting plenty of leaks with master. I'm not sure if it's in the gsharedvt code, but I figured I'd provide the results.

Currently released:
7.0.5.4: http://screencast.com/t/miXpTzFV
7.0.6.167: http://screencast.com/t/HsM6kkeF

Master:
7.0.7.50 (aed2b17): http://screencast.com/t/wwi0Phqje
Comment 4 Rolf Bjarne Kvinge [MSFT] 2014-01-20 04:24:36 UTC
I can reproduce those remaining leaks with master as well.
Comment 5 Zoltan Varga 2014-01-20 21:53:14 UTC
Fixed in mono 26ac16318df0c83e099c85388d48f37bd53e80ad/mt 189698e2e353176cc15a87e6cd60d110f772890a.
Comment 6 Zoltan Varga 2014-03-12 18:05:49 UTC
-> FIXED.
Comment 7 Saurabh 2014-03-20 09:56:57 UTC
I have checked this issue with latest builds and I am still getting memory leak with attached sample 'TestApp'.

Screencast: http://screencast.com/t/VI2q7fkN0sAL

=== Xamarin Studio ===

Version 4.2.4 (build 32)
Installation UUID: b1fc3b76-cf00-405e-a0a1-3839ac11fe6d
Runtime:
	Mono 3.2.7 ((no/40f92d5)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 302070000

=== Apple Developer Tools ===

Xcode 5.1 (5051.4)
Build 5B90f

=== Xamarin.Mac ===

Xamarin.Mac: 1.8.0.7

=== Xamarin.iOS ===

Version: 7.2.1.20 (Enterprise Edition)
Hash: 7342842
Branch: 
Build date: 2014-03-18 18:20:49-0400

=== Build Information ===

Release ID: 402040032
Git revision: a160c35dac9ab9fd32eeadaa171216316d5a5133
Build date: 2014-03-12 13:55:08-04
Xamarin addins: a779416ceabd54981ce812771a4061c942e8b872

=== Operating System ===

Mac OS X 10.9.3
Darwin Apples-iMac.local 13.2.0 Darwin Kernel Version 13.2.0
    Tue Mar 11 22:16:58 PDT 2014
    root:xnu-2422.100.4~2/RELEASE_X86_64 x86_64
Comment 8 Zoltan Varga 2014-03-20 16:00:49 UTC
Those are other memory leaks, they are not related to this bug.
Comment 9 Sebastien Pouliot 2014-03-21 08:51:29 UTC
@Saurabh like Zoltan in comment #8 said that's a different issue (not a regression, the original gsharedvt memory leak is fixed) and needs a separate bug report (you can give a link to this so the same app/screencast can be re-used).

note: re-opening bug should only be done for regressions (not for similar. but unrelated, issues)
Comment 10 Saurabh 2014-03-21 14:08:38 UTC
As in comment8, Zoltan said that Comment7 is a different issue. So I have file a new issue for the same:
https://bugzilla.xamarin.com/show_bug.cgi?id=18509
Comment 11 Mohit Kheterpal 2014-05-13 06:12:53 UTC
As per comment 8, comment 9 and comment 10, this issue is fixed and now we are getting different issue so we have filled Bug 18509. 

Hence closing this issue.

Note You need to log in before you can comment on or make changes to this bug.